Bug 195513 - lang/python32: Fix build with LibreSSL
Summary: lang/python32: Fix build with LibreSSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Some People
Assignee: Bernard Spil
URL: https://reviews.freebsd.org/D4701
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2014-11-29 22:21 UTC by Bernard Spil
Modified: 2016-01-06 17:15 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (python)


Attachments
Patch for Makefile (488 bytes, patch)
2014-11-29 22:42 UTC, Bernard Spil
no flags Details | Diff
Single patch for this PR for the source tree (5.47 KB, patch)
2014-11-29 22:42 UTC, Bernard Spil
no flags Details | Diff
Build log (506.92 KB, text/x-log)
2014-11-29 22:42 UTC, Bernard Spil
no flags Details
Output of the test_ssl unit test (3.56 KB, text/x-log)
2014-11-29 22:43 UTC, Bernard Spil
no flags Details
svn diff for lang/python32 (7.18 KB, patch)
2015-12-23 12:13 UTC, Bernard Spil
no flags Details | Diff
Output of the test_ssl unit test (7.38 KB, text/plain)
2015-12-23 12:31 UTC, Bernard Spil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2014-11-29 22:21:34 UTC
Python fails to build with LibreSSL since RAND_egd has been removed from LibreSSL.

This is a backport of http://bugs.python.org/issue21356 which started as Bug 192511 - [patch] fix lang/python27 build with libressl
195508 - [PATCH] lang/python34 Fix build with LibreSSL
195511 - [PATCH] lang/python33 Fix build with LibreSSL

Generating a PR-number here, patch will follow shortly
Comment 1 Bugzilla Automation freebsd_committer 2014-11-29 22:21:34 UTC
Auto-assigned to maintainer python@FreeBSD.org
Comment 2 Bernard Spil freebsd_committer 2014-11-29 22:42:03 UTC
Created attachment 150006 [details]
Patch for Makefile

Primarily passes LDFLAGS and CPPFLAGS to configure otherwise it will not pick up OpenSSL/LibreSSL from ports
Comment 3 Bernard Spil freebsd_committer 2014-11-29 22:42:27 UTC
Created attachment 150007 [details]
Single patch for this PR for the source tree
Comment 4 Bernard Spil freebsd_committer 2014-11-29 22:42:52 UTC
Created attachment 150008 [details]
Build log
Comment 5 Bernard Spil freebsd_committer 2014-11-29 22:43:11 UTC
Created attachment 150009 [details]
Output of the test_ssl unit test
Comment 6 Bernard Spil freebsd_committer 2015-12-23 12:13:37 UTC
Created attachment 164544 [details]
svn diff for lang/python32

 - Re-rolled the patch for 3.2.6
 - Include No-SSLv3 bits
Comment 7 Bernard Spil freebsd_committer 2015-12-23 12:31:39 UTC
Created attachment 164548 [details]
Output of the test_ssl unit test

Refreshed output of test_ssl.py
 - Contains errors that should be expected for openssl version and SSLv3

Poudriere testport output can be found at
https://brnrd.eu/poudriere/data/102amd64-svn/2015-12-23_12h50m34s/logs/python32-3.2.6.log
Comment 8 Bernard Spil freebsd_committer 2015-12-23 14:26:40 UTC
This is now handled in https://reviews.freebsd.org/D4695

  - Update to 3.3.6
  - Fix No-EGD
  - Fix no-SSLv3
Comment 9 Bernard Spil freebsd_committer 2015-12-23 14:28:09 UTC
Scrap my previous comment, that's for 3.3 not 3.2!
Comment 10 commit-hook freebsd_committer 2015-12-24 17:10:14 UTC
A commit references this bug:

Author: brnrd
Date: Thu Dec 24 17:09:13 UTC 2015
New revision: 404378
URL: https://svnweb.freebsd.org/changeset/ports/404378

Log:
  lang/python32: Mark deprecated / fix No-EDGD/-SSLv3

    - Mark DEPRECATED, EXPIRES Feb 2016 [1]
    - Backport issue21356 RAND_egd fix [2]
    - Fix build for openssl -nossl3

  [1] https://www.python.org/dev/peps/pep-0392/#lifespan
  [2] http://bugs.python.org/issue21356

  PR:		195513
  Reviewed by:	koobs (mentor, python), feld (mentor)
  Approved by:	koobs (python, mentor)
  Differential Revision: https://reviews.freebsd.org/D4701
  > Description of fields to fill in above:                     76 columns --|
  > PR:            If a Bugzilla PR is affected by the change.
  > Submitted by:  If someone else sent in the change.
  > Reviewed by:   If someone else reviewed your modification.
  > Approved by:   If you needed approval for this commit.
  > Obtained from: If the change is from a third party.
  > MFC after:     N [day[s]|week[s]|month[s]].  Request a reminder email.
  > Relnotes:      Set to 'yes' for mention in release notes.
  > Security:      Vulnerability reference (one per line) or description.
  > Sponsored by:  If the change was sponsored by an organization.
  > Empty fields above will be automatically removed.

  M    python32/Makefile
  AM   python32/files/patch-PR195513

Changes:
  head/lang/python32/Makefile
  head/lang/python32/files/patch-PR195513
Comment 11 Bernard Spil freebsd_committer 2015-12-24 19:53:08 UTC
Closed with https://svnweb.freebsd.org/changeset/ports/404378